Subject: bug#17561: Emacs can forget processes

From: Paul Eggert <[email-masked]>
Date: Thu, 29 May 2014 23:07:06 -0700

Andreas Schwab wrote:
> quit_throw_to_read_char doesn't restore the signal mask.

Thanks for the diagnosis.  I installed trunk bzr 117201 to try to fix 
this problem.  I don't see how this would explain the bug in emacs-24, 
though, as in emacs-24 the signal handler invokes pthread_sigmask 
(SIG_SETMASK, &empty_mask, 0) before calling quit_throw_to_read_char, 
and the pthread_sigmask call should restore the signal mask.